Subject: Compiling X11R6.3 with your B19 patches...
From: [email-masked] (Arlindo da Silva)

7 Mar 1998 07:10:39 -0800
Message-ID: <[email-masked]>
References: <01BD1908.EEFC0B10@sos>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Sergey Okhapkin)
Cc: [email-masked]

Dear Sergey,

  The new patches look really great. However, the build process still needed
some manual intervention. Here are the problems I ran into:

1) When I tried "make -i World" on a freshly patched xc (I only got
   xc-1.tar.gz) I got the following error during the bootstrap
   phase:

making imake with BOOTSTRAPCFLAGS= in config/imake                              
cc -o ccimake  -O -I../../include -I../../imports/x11/include/X11 ccimake.c     
cc: not found                                                                   

My quick and dirty fix was to copy gcc.exe to cc.exe. I had the same
problem with your previous b18 patch. A better fix would be to
patch the Makefile which has "cc" hardwired.

2) With this fix, "make -i World" goes into an infinite loop during
   the "make Makefiles" phase. Probable reason: I only downloaded
   xc-1.tar.gz, so some directories are missing, and recursive makefiles
   have several "cd .." after a failed "cd".

   Quick & Dirty fix:  kill it after at least one loop is complete
   and continue manually:

   make include
   make 
   make install

3) I was not able to build 'xterm', gcc died with an internal error:

gcc -O2 -s -mpentium     -I../.. -I../../exports/include  -D__i386__ -DX_LOCALE 
-D_MT -DNO_TCP_H   -DFUNCPROTO=15 -DNARROWPROTO     -c button.c -o button.o     
gcc: Internal compiler error: program cc1 got fatal signal 6                    
make: *** [button.o] Error 1  

   Could you make your xterm.exe available?
  
   Thanks,

      Arlindo.

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".